/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Pedidos;
import com.cosmodas.EntCosmos.VProcesodepedidos;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface VProcesodepedidosFacadeLocal {

    void create(VProcesodepedidos vProcesodepedidos);

    void edit(VProcesodepedidos vProcesodepedidos);

    void remove(VProcesodepedidos vProcesodepedidos);

    VProcesodepedidos find(Object id);

    List<VProcesodepedidos> findAll();

    List<VProcesodepedidos> findRange(int[] range);

    int count();

    void actualizaLeepedido(VProcesodepedidos pedido);

    void actualizaAnula(VProcesodepedidos pedido);

    void actualizaAprobacion(VProcesodepedidos pedido, int Prueba, String usuario, int numeroPedido);

    Integer obtenerCorrelativoDespacho(int tipoPedido, String sucursalDespacho);

    void actualizaFacturado(Pedidos pedido);

    void actualizaImpreso(VProcesodepedidos pedido);

    VProcesodepedidos busquedaPedido(String consultorCodigo);

    VProcesodepedidos busquedaPedidoCodigo(Pedidos p);
}
